package fslog

import (
	ginzap "github.com/gin-contrib/zap"
	"github.com/gin-gonic/gin"
	"time"
)

func GinLogger(skipPaths []string) gin.HandlerFunc {
	lazyInitialize()
	return ginzap.GinzapWithConfig(logger, &ginzap.Config{
		TimeFormat: time.RFC3339,
		UTC:        true,
		SkipPaths:  skipPaths,
	})
}

func GinRecovery() gin.HandlerFunc {
	lazyInitialize()
	return ginzap.RecoveryWithZap(logger, true)
}
